<%@ page contentType="text/html; charset=GBK" %>
<%@ page import="java.util.*,java.sql.*,DBstep.iDBManager2000.*" %>
<%@ include file="/sessionInfo.jsp"%>
<html>
<head>
<title>标签管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script language="javascript">
function ConfirmDel(FileUrl){
        if (confirm('是否确定删除该标签！')){
                location.href=FileUrl;
        }
}
</script>
</head>
<body bgcolor="#ffffff">
<%@ include file="/share/weboffice/title.jsp"%>
<table width="100%">
  <form name="formBar" method="post">
  <tr>
    <td>
    <% out.println(SzPageHelp.button("增加标签","javascript:location.href='BookMarkAddFrm.jsp'")); %>    
    </td>
  </tr>
  </form>
</table>
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <tr class="trClassTitle">
    <td>编号</td>   
    <td>标签名称</td>
    <td>标签说明</td>
    <td>标签备注</td>
    <td width="40">操作</td>
  </tr>
<%
  DBstep.iDBManager2000 DbaObj=new DBstep.iDBManager2000();
  if (DbaObj.OpenConnection())
  {
    try
    {
      ResultSet result=DbaObj.ExecuteQuery("select * from BookMarks where GSID= " + szCOMPANY_SESSION + " order by BookMarkID desc") ;
      while ( result.next() )
      {
        String mBookMarkID=result.getString("BookMarkID");
%>
      <tr>
         <td class="TDStyle"><%=mBookMarkID%>&nbsp;</td>
         <td class="TDStyle"><%=result.getString("BookMarkName")%>&nbsp;</td>
         <td class="TDStyle"><%=result.getString("BookMarkDesc")%>&nbsp;</td>
         <td class="TDStyle"><%=result.getString("BookMarkText")%>&nbsp;</td>
		<td class="TDStyle" width=148 nowrap>
		  <%=SzPageHelp.button("修改","javascript:location.href='BookMarkEditFrm.jsp?BookMarkID=" + mBookMarkID + "';") %>
		  <%=SzPageHelp.button("删除","javascript:ConfirmDel('BookMarkDel.jsp?BookMarkID=" + mBookMarkID + "');") %>
		</td>		
  	   </tr>
<%
      }
      result.close() ;
    }
    catch(SQLException e)
    {
      System.out.println(e.toString());
    }
    DbaObj.CloseConnection() ;
  }
  else
  {
    out.println("OpenDatabase Error") ;
  }
%>
</table>

</body>
</html>
